Subject: Re: [PATCH 1/3] completion: fix alias listings with newlines

From: Stephen Boyd <[email-masked]>
Date: Thu, 08 Oct 2009 01:01:42 -0700

Johannes Sixt wrote:
>
> OTOH, you can simply revert the hunk from 518ef8f (completion: Replace
> config --list with --get-regexp, 2009-09-11) that applies here, or even
> only reinstate the case statement in the loop body without changing
> anything else.

I'm not opposed to the idea, but then it wouldn't work with something like

[alias]
    whowhat = "log --format="%an\nalias.broken=foo'"

although that actually happening is probably rare, it can still happen.